## golang-defaults 1.6.1+1~bpo8+1

=== debian/changelog ===
golang-defaults (2:1.6.1+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tianon Gravi <tianon@debian.org>  Mon, 04 Jul 2016 09:38:30 -0700

golang-defaults (2:1.6.1+1) unstable; urgency=medium

  * Initial release. (Closes: #818415, #822746)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Jun 2016 10:05:10 -0700
