=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: golang-defaults
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+           Paul Tagliamonte <paultag@debian.org>,
+           Tianon Gravi <tianon@debian.org>,
+           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://golang.org
 
 Package: golang-go
-Architecture: any
-Depends: gccgo [!armel !armhf !amd64 !i386 !arm64 !ppc64 !ppc64el !s390x],
-         golang-${golang:GOVER}-go [armel armhf amd64 i386 arm64 ppc64 ppc64el s390x],
-         golang-src (>= ${source:Version}) [armel armhf amd64 i386 arm64 ppc64 ppc64el s390x],
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Depends: golang-${golang:GOVER}-go,
+         golang-src (>= ${source:Version}),
          ${misc:Depends}
-Breaks: gccgo-5 (<< 5.3.1-12ubuntu1),
-        gccgo-6 (<< 6-20160319-0ubuntu1),
-        golang-go (<< 2:1.6-1ubuntu2),
+Breaks: gccgo-5 (<< 5.3.1-12~),
+        gccgo-6 (<< 6-20160319-1~),
         golang-go-darwin-386,
         golang-go-darwin-amd64,
         golang-go-freebsd-386,
@@ -27,8 +29,8 @@
         golang-go-netbsd-amd64,
         golang-go-windows-386,
         golang-go-windows-amd64,
-        golang-go.tools (<= 1:0.0~git20151026.0.0f9d71c-1~),
-        golang-golang-x-tools (<= 1:0.0~git20151026.0.0f9d71c-1~)
+        golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+        golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -41,9 +43,8 @@
           golang-go-netbsd-amd64,
           golang-go-windows-386,
           golang-go-windows-amd64,
-          golang-go.tools (<= 1:0.0~git20151026.0.0f9d71c-1~),
-          golang-golang-x-tools (<= 1:0.0~git20151026.0.0f9d71c-1~)
-Recommends: golang-race-detector-runtime [amd64]
+          golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+          golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -55,15 +56,14 @@
  interpreted language.
  .
  This is a dependency package that depends on the default Go toolchain and
- compiled standard library. It currently depends on gccgo on architectures that
- do not have a native toolchain ("gc compiler") port but this will change soon
- -- packages that want to build with whichever of gc or gccgo is available
- should depend on golang-any.
+ compiled standard library. It is only built on architectures that have a
+ native toolchain ("gc compiler"). Packages that want to build with whichever
+ of gc or gccgo is available should depend on golang-any.
 
 Package: golang-any
 Architecture: any
-Depends: golang-go, ${misc:Depends}
-Description: Go programming language compiler, linker, compiled stdlib
+Depends: golang-go (>= ${source:Version}) | gccgo-6, ${misc:Depends}
+Description: Go programming language -- gccgo on "non-Go" platforms
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
  mechanisms make it easy to write programs that get the most out of multicore
@@ -81,7 +81,7 @@
  version of this package.
 
 Package: golang-src
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Depends: golang-${golang:GOVER}-src, ${misc:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
@@ -97,7 +97,9 @@
  source code, which is needed for the go build process.
 
 Package: golang-doc
-Depends: golang-${golang:GOVER}-doc, golang-go, ${misc:Depends}
+Depends: golang-${golang:GOVER}-doc,
+         golang-go (>= ${source:Version}),
+         ${misc:Depends}
 Architecture: all
 Section: doc
 Description: Go programming language - documentation
@@ -122,7 +124,7 @@
          golang-go (>= ${source:Version}),
          golang-src (>= ${source:Version}),
          ${misc:Depends}
-Architecture: all
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -136,16 +138,3 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
-
-Package: golang-race-detector-runtime
-Architecture: amd64
-Depends: golang-${golang:GOVER}-race-detector-runtime, ${misc:Depends}
-Description: Runtime support for Go's race detector
- The runtime support for the race detector is included as a binary
- file in the go source distribution so this package exists to build it
- from source on trusted infrastructure.
- .
- Installing this package will make the -race flag to the go tool functional.
- .
- This is a dependency package that depends on the race detector runtime for the
- default version of Go.
