## golang-defaults 1.6.1+1ubuntu2

=== debian/changelog ===
golang-defaults (2:1.6.1+1ubuntu2) yakkety; urgency=medium

  * Add golang-go-shared-dev and golang-any-shared-dev. (LP: #1508122)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 May 2016 20:59:32 +1200

golang-defaults (2:1.6.1+1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build golang-go everywhere, and have it depend on and symlink to gccgo on
      platforms that do not have Go 1.6.
    - Build and recommend golang-race-detector-runtime on amd64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jun 2016 14:48:08 +1200
