=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 
 override_dh_prep:
 	dh_prep
-ifeq (false, $(IS_GOLANG_ARCH))
-	cp debian/golang-any.links.gccgo debian/golang-any.links
+ifeq (true, $(IS_GOLANG_ARCH))
+	cp debian/golang-go.links.golang-go debian/golang-go.links
+else
+	cp debian/golang-go.links.gccgo debian/golang-go.links
 endif
 
 override_dh_gencontrol:
