## golang-defaults 1.7~1ubuntu1

=== debian/changelog ===
golang-defaults (2:1.7~1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build golang-go everywhere, and have it depend on and symlink to gccgo on
      platforms that do not have Go 1.6.
    - Build and recommend golang-race-detector-runtime on amd64.
    - Add golang-go-shared-dev and golang-any-shared-dev.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 10:31:35 +1300

golang-defaults (2:1.7~1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Add missing Vcs-Browser and Vcs-Git
  * Update to Go 1.7 (src:golang-1.7)
  * Add "s390x" to Architectures

  [ Michael Hudson-Doyle ]
  * Add d/golang-go.maintscript to properly handle transition of /usr/lib/go
    from directory to symlink. (Closes: 832160)

 -- Tianon Gravi <tianon@debian.org>  Tue, 23 Aug 2016 14:15:24 -0700
