=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 Build-Depends: debhelper (>= 9), dh-exec
 Standards-Version: 3.9.8
 Homepage: https://golang.org
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang-defaults.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang-defaults.git
 
 Package: golang-go
 Architecture: any
