## golang-defaults 1.7~5~bpo8+1

=== debian/changelog ===
golang-defaults (2:1.7~5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 21 Jan 2017 14:50:38 +0100

golang-defaults (2:1.7~5) unstable; urgency=medium

  * Add man pages to "gccgo-go" as well (given that it's the mirror of
    "golang-go"), quieting lintian

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Dec 2016 10:38:42 -0800

golang-defaults (2:1.7~4) unstable; urgency=medium

  * Add old "golang-doc" to Breaks/Replaces (Closes: #836991)

 -- Tianon Gravi <tianon@debian.org>  Tue, 06 Dec 2016 23:21:37 -0800

golang-defaults (2:1.7~3) unstable; urgency=medium

  * Define a gccgo-go package that can be used to test building with gccgo on
    any architecture. (Closes: 842254)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 22 Nov 2016 09:44:29 -0800

golang-defaults (2:1.7~2) unstable; urgency=medium

  * Remove "s390x" again (Closes: #844258)
    - Go upstream supports z196 and above, Debian still supports z10.  If we
      and/or upstream get a patch to support z10, we can add this back. :)
    - see also https://github.com/golang/go/issues/16637

 -- Tianon Gravi <tianon@debian.org>  Fri, 18 Nov 2016 16:56:22 -0800
