## golang-defaults 1.7~5

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,23 @@
  provided by the version of gccgo that this package depends upon will match the
  version of this package.
 
+Package: gccgo-go
+Architecture: any
+Depends: gccgo-6, ${misc:Depends}
+Conflicts: golang-go
+Description: Go programming language -- gccgo
+ The Go programming language is an open source project to make programmers more
+ productive. Go is expressive, concise, clean, and efficient. Its concurrency
+ mechanisms make it easy to write programs that get the most out of multicore
+ and networked machines, while its novel type system enables flexible and
+ modular program construction. Go compiles quickly to machine code yet has the
+ convenience of garbage collection and the power of run-time reflection. It's a
+ fast, statically typed, compiled language that feels like a dynamically typed,
+ interpreted language.
+ .
+ Installing this package will install the gccgo implementation as /usr/bin/go.
+ It conflicts with golang-go.
+
 Package: golang-src
 Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Depends: golang-${golang:GOVER}-src, ${misc:Depends}
