## golang-defaults 1.8~1ubuntu1

=== debian/changelog ===
golang-defaults (2:1.8~1ubuntu1) artful; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Build and recommend golang-race-detector-runtime on amd64.
    - Add golang-go-shared-dev and golang-any-shared-dev.
    - Build golang-go and related packages on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 24 Apr 2017 10:59:33 +1200

golang-defaults (2:1.8~1) experimental; urgency=medium

  * Update to Go 1.8 (src:golang-1.8)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 15 Mar 2017 09:17:16 +0100
