## golang-defaults 1.8~3

=== debian/changelog ===
golang-defaults (2:1.8~3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Jun 2017 10:12:10 +1200

golang-defaults (2:1.8~2) experimental; urgency=medium

  * Have gccgo-go depend on gccgo-7. (Closes: #862422)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 09:33:17 +1200
