=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-defaults
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -14,7 +13,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang-defaults.git
 
 Package: golang-go
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Conflicts: gccgo-go
 Depends: golang-${golang:GOVER}-go,
          golang-src (>= ${source:Version}),
@@ -51,7 +50,6 @@
           golang-go-windows-amd64,
           golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
           golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
-Recommends: golang-race-detector-runtime [amd64]
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -90,7 +88,7 @@
 
 Package: gccgo-go
 Architecture: any
-Depends: gccgo-6, ${misc:Depends}
+Depends: gccgo-7, ${misc:Depends}
 Conflicts: golang-go
 Description: Go programming language -- gccgo
  The Go programming language is an open source project to make programmers more
@@ -106,7 +104,7 @@
  It conflicts with golang-go.
 
 Package: golang-src
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Depends: golang-${golang:GOVER}-src, ${misc:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
@@ -149,7 +147,7 @@
          golang-go (>= ${source:Version}),
          golang-src (>= ${source:Version}),
          ${misc:Depends}
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -163,38 +161,3 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
-
-Package: golang-race-detector-runtime
-Architecture: amd64
-Depends: golang-${golang:GOVER}-race-detector-runtime, ${misc:Depends}
-Description: Runtime support for Go's race detector
- The runtime support for the race detector is included as a binary
- file in the go source distribution so this package exists to build it
- from source on trusted infrastructure.
- .
- Installing this package will make the -race flag to the go tool functional.
- .
- This is a dependency package that depends on the race detector runtime for the
- default version of Go.
-
-Package: golang-go-shared-dev
-Architecture: amd64 arm64 armhf i386 ppc64el s390x
-Depends: golang-${golang:GOVER}-go-shared-dev, golang-go, ${misc:Depends}
-Description: Go standard shared library support files
- Files necessary to link against the shared library version of the Go
- standard library.
- .
- This is a dependency package that depends on the support files for the
- default version of Go.
-
-Package: golang-any-shared-dev
-Architecture: any
-Depends: golang-any,
-         golang-go-shared-dev [amd64 arm64 armhf i386 ppc64el s390x],
-         ${misc:Depends}
-Description: Go standard shared library support files
- Files necessary to link against the shared library version of the Go
- standard library.
- .
- This is a dependency package that depends on the support files for the
- default version of Go, or gccgo if no version of Go is available.
