## golang-defaults 1.10~4ubuntu1

=== debian/changelog ===
golang-defaults (2:1.10~4ubuntu1) bionic; urgency=medium

  * Merge with Debian stable. Remaining change:
    - Build and recommend golang-race-detector-runtime on amd64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 28 Feb 2018 22:11:52 +1300

golang-defaults (2:1.10~4) unstable; urgency=medium

  * Enable golang and golang-src on s390x too.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2018 22:08:37 +1300

golang-defaults (2:1.10~3) unstable; urgency=medium

  * Have gccgo-go depend on gccgo-8.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2018 22:01:45 +1300

golang-defaults (2:1.10~2) unstable; urgency=medium

  * Enable golang-go on s390x (Thanks cbmuser)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 28 Feb 2018 09:40:49 +0100

golang-defaults (2:1.10~1ubuntu1) bionic; urgency=medium

  * Merge with Debian stable. Remaining changes:
    - Build and recommend golang-race-detector-runtime on amd64.
    - Build golang-go and related packages on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Feb 2018 10:43:50 +1300

golang-defaults (2:1.10~1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Use my @debian.org address in Uploaders.

  [ Michael Stapelberg ]
  * Update to Go 1.10 (src:golang-1.10)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 17 Feb 2018 13:06:01 +0100

golang-defaults (2:1.9~2ubuntu1) bionic; urgency=medium

  * Merge with Debian stable. Remaining changes:
    - Build and recommend golang-race-detector-runtime on amd64.
    - Build golang-go and related packages on s390x.
  * Stop building shared library packages.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Dec 2017 20:20:55 +1300

golang-defaults (2:1.9~2) unstable; urgency=medium

  * Add mips, mips64el and mipsel to golang-go Architectures.
    (Closes: #834002, #841645)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 11 Dec 2017 09:15:36 +1300

golang-defaults (2:1.9~1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add myself to Uploaders.

  [ Michael Stapelberg ]
  * Update to Go 1.9 (src:golang-1.9)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 15 Sep 2017 07:53:10 +0200
