=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: golang-defaults
 Section: devel
 Priority: optional
-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
-           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
+           Michael Hudson-Doyle <mwhudson@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
 Build-Depends: debhelper (>= 9), dh-exec
 Standards-Version: 3.9.8
 Homepage: https://golang.org
@@ -13,7 +15,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang-defaults.git
 
 Package: golang-go
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Conflicts: gccgo-go
 Depends: golang-${golang:GOVER}-go,
          golang-src (>= ${source:Version}),
@@ -50,6 +52,7 @@
           golang-go-windows-amd64,
           golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
           golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+Recommends: golang-race-detector-runtime [amd64]
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -88,7 +91,7 @@
 
 Package: gccgo-go
 Architecture: any
-Depends: gccgo-7, ${misc:Depends}
+Depends: gccgo-8, ${misc:Depends}
 Conflicts: golang-go
 Description: Go programming language -- gccgo
  The Go programming language is an open source project to make programmers more
@@ -104,7 +107,7 @@
  It conflicts with golang-go.
 
 Package: golang-src
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Depends: golang-${golang:GOVER}-src, ${misc:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
@@ -147,7 +150,7 @@
          golang-go (>= ${source:Version}),
          golang-src (>= ${source:Version}),
          ${misc:Depends}
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64 mipsel ppc64 ppc64el s390x
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -161,3 +164,16 @@
  .
  This package is a metapackage that, when installed, guarantees
  that (most of) a full Go development environment is installed.
+
+Package: golang-race-detector-runtime
+Architecture: amd64
+Depends: golang-${golang:GOVER}-race-detector-runtime, ${misc:Depends}
+Description: Runtime support for Go's race detector
+ The runtime support for the race detector is included as a binary
+ file in the go source distribution so this package exists to build it
+ from source on trusted infrastructure.
+ .
+ Installing this package will make the -race flag to the go tool functional.
+ .
+ This is a dependency package that depends on the race detector runtime for the
+ default version of Go.
