## golang-defaults 1.11~1~bpo9+1

=== debian/changelog ===
golang-defaults (2:1.11~1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add gbp.conf file for backports

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 11 Jan 2019 22:17:17 +0100

golang-defaults (2:1.11~1) unstable; urgency=medium

  * Update to Go 1.11 (src:golang-1.11)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Dec 2018 14:55:11 +0100

golang-defaults (2:1.10~6) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/control: Update Vcs-* to point at salsa.
  * d/helpers/getver.pl: small improvements, thanks Guillem Jover.
    (Closes: #909604)

  [ Dr. Tobias Quathamer ]
  * Switch team address to tracker.d.o
  * Add myself as uploader
  * Update Standards-Version to 4.3.0
    - Use HTTPS URL for d/copyright
  * Use debhelper v11

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 27 Dec 2018 00:20:37 +0100

golang-defaults (2:1.10~5) unstable; urgency=medium

  * Remove ppc64 from golang architectures as upstream's minimum ISA
    requirement now exceeds Debian's.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Mar 2018 10:51:58 +1300
